/**/

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs


parse arg language texmf source options


if language = '049' then do

  msg.1 = 'msg:LaTeX2e Kurzbeschreibung'
  msg.2 = 'msg:LaTeX2e Kurzbeschreibung: Entpacke Dateien'
  msg.3 = 'msg:LaTeX2e Kurzbeschreibung: Erzeuge WPS Objekt'

end
else do

  msg.1 = 'msg:LaTeX2e Kurzbeschreibung'
  msg.2 = 'msg:LaTeX2e Kurzbeschreibung: installing files'
  msg.3 = 'msg:LaTeX2e Kurzbeschreibung: Erzeuge WPS Objekt'

end

install = texmf||'\os2tex\install'


if ""=directory(texmf) then do
  say "err:Verzeichniswechsel nicht m”glich!"
  exit 1
end


if Pos("InstallFiles", options) > 0 then do

   say msg.1

   install||'\kdir '||texmf||'\doc\latex\l2kurz'


   'md '||texmf||'\doc'
   'md '||texmf||'\doc\latex'
   'md '||texmf||'\doc\latex\l2kurz'



   say msg.2

   install||'\unzip '||source||'\l2kurz.zip'


end


if SysOS2Ver() = '2.30' then
  top = 48
else
  top = 45



if Pos("CreateObjects", options) > 0 then do


   say msg.3

   classname = 'WPProgram'

   if language = '049' then do
      objtitle  = 'LaTeX2e Kurzbeschreibung'
      objfile   = 'l2kurz.dvi'
   end
   else do
      objtitle  = 'LaTeX2e Kurzbeschreibung'
      objfile   = 'l2kurz.dvi'
   end

   location  = '<OS2TEX_DOC_FOLDER>'
   setup     = 'EXENAME='texmf'\os2tex\bin\dvi.exe;PROGTYPE=PM;STARTUPDIR='texmf'\os2tex\bin;OBJECTID=<OS2TEX_l2kurz.dvi>;PARAMETERS='texmf'\doc\latex\l2kurz\'objfile
   duplicate = 'replace'

   rc = SysCreateObject(classname,objtitle,location,setup,duplicate)

   if rc = 0 then do
      exit 1
   end


end



